### Class

# Foundry VcsCommit

#### Description

    abstract class Foundry.VcsCommit : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- FoundryGitCommit

#### Instance methods

###### foundry_vcs_commit_dup_author

No description available.

###### foundry_vcs_commit_dup_committer

No description available.

###### foundry_vcs_commit_dup_id

No description available.

###### foundry_vcs_commit_dup_title

No description available.

###### foundry_vcs_commit_get_n_parents

Counts the number of parents of the commit.

###### foundry_vcs_commit_load_delta

Loads the delta for a single file comparing this commit to its parent. This extracts the changes for `relative_path` from the commit’s parent commit.

###### foundry_vcs_commit_load_parent

No description available.

###### foundry_vcs_commit_load_tree

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.VcsCommit:author

No description available.

###### Foundry.VcsCommit:committer

No description available.

###### Foundry.VcsCommit:id

No description available.

###### Foundry.VcsCommit:title

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryVcsCommitClass {
      GObjectClass parent_class;
      char* (* dup_id) (
        FoundryVcsCommit* self
      );
      char* (* dup_title) (
        FoundryVcsCommit* self
      );
      FoundryVcsSignature* (* dup_author) (
        FoundryVcsCommit* self
      );
      FoundryVcsSignature* (* dup_committer) (
        FoundryVcsCommit* self
      );
      guint (* get_n_parents) (
        FoundryVcsCommit* self
      );
      DexFuture* (* load_parent) (
        FoundryVcsCommit* self,
        guint index
      );
      DexFuture* (* load_tree) (
        FoundryVcsCommit* self
      );
      DexFuture* (* load_delta) (
        FoundryVcsCommit* self,
        const char* relative_path
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_id: char* (* dup_id) ( FoundryVcsCommit* self )`

  No description available.

`dup_title: char* (* dup_title) ( FoundryVcsCommit* self )`

  No description available.

`dup_author: FoundryVcsSignature* (* dup_author) ( FoundryVcsCommit* self )`

  No description available.

`dup_committer: FoundryVcsSignature* (* dup_committer) ( FoundryVcsCommit* self )`

  No description available.

`get_n_parents: guint (* get_n_parents) ( FoundryVcsCommit* self )`

  No description available.

`load_parent: DexFuture* (* load_parent) ( FoundryVcsCommit* self, guint index )`

  No description available.

`load_tree: DexFuture* (* load_tree) ( FoundryVcsCommit* self )`

  No description available.

`load_delta: DexFuture* (* load_delta) ( FoundryVcsCommit* self, const char* relative_path )`

  No description available.

#### Virtual methods

###### Foundry.VcsCommitClass.dup_author

No description available.

###### Foundry.VcsCommitClass.dup_committer

No description available.

###### Foundry.VcsCommitClass.dup_id

No description available.

###### Foundry.VcsCommitClass.dup_title

No description available.

###### Foundry.VcsCommitClass.get_n_parents

Counts the number of parents of the commit.

###### Foundry.VcsCommitClass.load_delta

Loads the delta for a single file comparing this commit to its parent. This extracts the changes for `relative_path` from the commit’s parent commit.

###### Foundry.VcsCommitClass.load_parent

No description available.

###### Foundry.VcsCommitClass.load_tree

No description available.